<html lang="en">
  <head>
    <meta charset="utf-8" />
    <title>API Reference</title>
    <link rel="stylesheet" type="text/css" href="site.css" media="screen" />
  </head>
  <body>
  <h1>Pelars Learning Analytics REST API</h1>
    <div class="app-desc">Description of the REST interface for accessing the LAS services for </div>
    
    <div class="app-desc">Contact Info: <a href="admin@apim.org">admin@apim.org</a></div>
    <div class="app-desc">Version: 1.0.0</div>
    <div class="license-info">Apache 2.0</div>
    <div class="license-url">http://www.apache.org/licenses/LICENSE-2.0.html</div>
  <h2>Access</h2>
  <div class="method-summary">Customize this message as you see fit!</div>
  <h2>Methods</h2>
  
  
  
  <div class="method">
    <div class="method-path"><pre class="get"><code class="huge"><span>get</span>: /data/{id}</code></pre></div>
    <div class="method-tags"> <span class="method-tag">Default</span></div>
    <div class="method-summary"><span class="nickname">dataIdGet</span> Queries the Pelars data database</div>
    <div class="method-notes">Returns a list of all Pelars faces and objects belonging to the specified session id. </div>

    <h3 class="field-label">Parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; integer identifier of the session </div>
      
    </div>  <!-- field-items -->
    <h3 class="field-label">Return type</h3>

    <div class="return-type"><a href="#array">array[Data]</a></div>

    
    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>[ {\n  "face" : "aeiou",\n  "object" : "aeiou"\n} ]</code></pre>
    
  </div> <!-- method -->
  <hr>
  
  <div class="method">
    <div class="method-path"><pre class="get"><code class="huge"><span>get</span>: /multimedia/{id}</code></pre></div>
    <div class="method-tags"> <span class="method-tag">Default</span></div>
    <div class="method-summary"><span class="nickname">multimediaIdGet</span> Queries the Pelars multimedia database</div>
    <div class="method-notes">Returns a list of all Pelars sessions with specified session id. </div>

    <h3 class="field-label">Parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; integer identifier of the session </div>
      
    </div>  <!-- field-items -->
    <h3 class="field-label">Return type</h3>

    <div class="return-type"><a href="#array">array[Multimedia]</a></div>

    
    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>[ {\n  "identifier" : 123,\n  "data" : "aeiou",\n  "name" : "aeiou",\n  "time" : "2015-05-22T10:02:42.644+0000",\n  "category" : "aeiou"\n} ]</code></pre>
    
  </div> <!-- method -->
  <hr>
  
  <div class="method">
    <div class="method-path"><pre class="put"><code class="huge"><span>put</span>: /multimedia/{id}</code></pre></div>
    <div class="method-tags"> <span class="method-tag">Default</span></div>
    <div class="method-summary"><span class="nickname">multimediaIdPut</span> New multimedia object</div>
    <div class="method-notes">Add a new multimedia object to the Pelars multimedia database if not already present</div>

    <h3 class="field-label">Parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; session id </div>
      <div class="param">type (required)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; content type: video/image/text </div>
      <div class="param">data (required)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; message payload </div>
      
    </div>  <!-- field-items -->
    <h3 class="field-label">Return type</h3>

    <div class="return-type"><a href="#">Status</a></div>

    
    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{\n  "message" : "aeiou"\n}</code></pre>
    
  </div> <!-- method -->
  <hr>
  
  <div class="method">
    <div class="method-path"><pre class="delete"><code class="huge"><span>delete</span>: /multimedia/{id}</code></pre></div>
    <div class="method-tags"> <span class="method-tag">Default</span></div>
    <div class="method-summary"><span class="nickname">multimediaIdDelete</span> Delete a multimedia object </div>
    <div class="method-notes">Delete a multimedia objects present in the Pelars template database with specified session id and multimedia content identifier </div>

    <h3 class="field-label">Parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; session id </div>
      
    </div>  <!-- field-items -->
    <h3 class="field-label">Return type</h3>

    <div class="return-type"><a href="#">Status</a></div>

    
    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{\n  "message" : "aeiou"\n}</code></pre>
    
  </div> <!-- method -->
  <hr>
  
  <div class="method">
    <div class="method-path"><pre class="get"><code class="huge"><span>get</span>: /multimedia/{id}/{sub_id}</code></pre></div>
    <div class="method-tags"> <span class="method-tag">Default</span></div>
    <div class="method-summary"><span class="nickname">multimediaIdSub_idGet</span> Queries the Pelars multimedia database</div>
    <div class="method-notes">Returns a Pelars session with specified id and session id present in the Pelars multimedia database. </div>

    <h3 class="field-label">Parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; integer identifier of the session </div>
      <div class="param">sub_id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; integer identifier of the query multimedia content </div>
      
    </div>  <!-- field-items -->
    <h3 class="field-label">Return type</h3>

    <div class="return-type"><a href="#"></a></div>

    
  </div> <!-- method -->
  <hr>
  
  <div class="method">
    <div class="method-path"><pre class="delete"><code class="huge"><span>delete</span>: /multimedia/{id}/{sub_id}</code></pre></div>
    <div class="method-tags"> <span class="method-tag">Default</span></div>
    <div class="method-summary"><span class="nickname">multimediaIdSub_idDelete</span> Delete a multimedia object </div>
    <div class="method-notes">Delete a multimedia objects present in the Pelars template database with specified session id and multimedia content identifier </div>

    <h3 class="field-label">Parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; session id </div>
      <div class="param">sub_id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; integer identifier of the query multimedia content </div>
      
    </div>  <!-- field-items -->
    <h3 class="field-label">Return type</h3>

    <div class="return-type"><a href="#">Status</a></div>

    
    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{\n  "message" : "aeiou"\n}</code></pre>
    
  </div> <!-- method -->
  <hr>
  
  <div class="method">
    <div class="method-path"><pre class="get"><code class="huge"><span>get</span>: /session</code></pre></div>
    <div class="method-tags"> <span class="method-tag">Default</span></div>
    <div class="method-summary"><span class="nickname">sessionGet</span> Returns all the existing Pelars sessions</div>
    <div class="method-notes">Gets all the Pelars sessions available in the Pelars session database matching the specified namespace or all the sessions if not specified</div>

    <h3 class="field-label">Parameters</h3>
    <div class="field-items">
      <div class="param">namespace (optional)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; query namespace </div>
      
    </div>  <!-- field-items -->
    <h3 class="field-label">Return type</h3>

    <div class="return-type"><a href="#array">array[PelarsSession]</a></div>

    
    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>[ {\n  "teacher_name" : "aeiou",\n  "institution_address" : "aeiou",\n  "start" : "2015-05-22T10:02:42.646+0000",\n  "session_id" : 123,\n  "end" : "2015-05-22T10:02:42.646+0000",\n  "institution_name" : "aeiou"\n} ]</code></pre>
    
  </div> <!-- method -->
  <hr>
  
  <div class="method">
    <div class="method-path"><pre class="put"><code class="huge"><span>put</span>: /session</code></pre></div>
    <div class="method-tags"> <span class="method-tag">Default</span></div>
    <div class="method-summary"><span class="nickname">sessionPut</span> Creates a new session</div>
    <div class="method-notes">Creates a new session in the Pelars session database and returns the session id</div>

    <h3 class="field-label">Parameters</h3>
    <div class="field-items">
      <div class="param">namespace (required)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; namespace to which the session belongs </div>
      <div class="param">teacher_name (required)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; name of the teacher </div>
      <div class="param">institution_name (required)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; name of the institution </div>
      <div class="param">institution_address (required)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; address of the institution </div>
      
    </div>  <!-- field-items -->
    <h3 class="field-label">Return type</h3>

    <div class="return-type"><a href="#">Status</a></div>

    
    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{\n  "message" : "aeiou"\n}</code></pre>
    
  </div> <!-- method -->
  <hr>
  
  <div class="method">
    <div class="method-path"><pre class="get"><code class="huge"><span>get</span>: /session/{session_id}</code></pre></div>
    <div class="method-tags"> <span class="method-tag">Default</span></div>
    <div class="method-summary"><span class="nickname">sessionSession_idGet</span> Returns an existing Pelars session</div>
    <div class="method-notes">Gets a single Pelars session identified by a session id available in the database</div>

    <h3 class="field-label">Parameters</h3>
    <div class="field-items">
      <div class="param">session_id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; pelars session id </div>
      
    </div>  <!-- field-items -->
    <h3 class="field-label">Return type</h3>

    <div class="return-type"><a href="#">PelarsSession</a></div>

    
    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{\n  "teacher_name" : "aeiou",\n  "institution_address" : "aeiou",\n  "start" : "2015-05-22T10:02:42.649+0000",\n  "session_id" : 123,\n  "end" : "2015-05-22T10:02:42.649+0000",\n  "institution_name" : "aeiou"\n}</code></pre>
    
  </div> <!-- method -->
  <hr>
  
  <div class="method">
    <div class="method-path"><pre class="post"><code class="huge"><span>post</span>: /session/{session_id}</code></pre></div>
    <div class="method-tags"> <span class="method-tag">Default</span></div>
    <div class="method-summary"><span class="nickname">sessionSession_idPost</span> Updates an existing session</div>
    <div class="method-notes">Performs a specific operation on the selected session</div>

    <h3 class="field-label">Parameters</h3>
    <div class="field-items">
      <div class="param">op_code (required)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; type of operation: close </div>
      <div class="param">session_id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; session id </div>
      
    </div>  <!-- field-items -->
    <h3 class="field-label">Return type</h3>

    <div class="return-type"><a href="#">Status</a></div>

    
    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{\n  "message" : "aeiou"\n}</code></pre>
    
  </div> <!-- method -->
  <hr>
  
  <div class="method">
    <div class="method-path"><pre class="delete"><code class="huge"><span>delete</span>: /session/{session_id}</code></pre></div>
    <div class="method-tags"> <span class="method-tag">Default</span></div>
    <div class="method-summary"><span class="nickname">sessionSession_idDelete</span> Deletes a Pelars session</div>
    <div class="method-notes">Deletes a single session from the database. This will erase also all the created streams connected with the session and the original session data.</div>

    <h3 class="field-label">Parameters</h3>
    <div class="field-items">
      <div class="param">session_id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; session id to be deleted </div>
      
    </div>  <!-- field-items -->
    <h3 class="field-label">Return type</h3>

    <div class="return-type"><a href="#">Status</a></div>

    
    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{\n  "message" : "aeiou"\n}</code></pre>
    
  </div> <!-- method -->
  <hr>
  
  <div class="method">
    <div class="method-path"><pre class="get"><code class="huge"><span>get</span>: /template</code></pre></div>
    <div class="method-tags"> <span class="method-tag">Default</span></div>
    <div class="method-summary"><span class="nickname">templateGet</span> Query the Pelars template database</div>
    <div class="method-notes">Returns the list of Pelars template objects present in the Pelars template database matching the query namespace or returns the complete list of all templates if no namespace is specified. </div>

    <h3 class="field-label">Parameters</h3>
    <div class="field-items">
      <div class="param">namespace (optional)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; query namespace </div>
      
    </div>  <!-- field-items -->
    <h3 class="field-label">Return type</h3>

    <div class="return-type"><a href="#array">array[Template]</a></div>

    
    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>[ {\n  "identifier" : 123,\n  "data" : "aeiou",\n  "name" : "aeiou",\n  "category" : "aeiou"\n} ]</code></pre>
    
  </div> <!-- method -->
  <hr>
  
  <div class="method">
    <div class="method-path"><pre class="put"><code class="huge"><span>put</span>: /template</code></pre></div>
    <div class="method-tags"> <span class="method-tag">Default</span></div>
    <div class="method-summary"><span class="nickname">templatePut</span> New object template</div>
    <div class="method-notes">Add a new object template to the Pelars template database if not already present</div>

    <h3 class="field-label">Parameters</h3>
    <div class="field-items">
      <div class="param">name (required)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; name of the new template </div>
      <div class="param">data (required)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; template data </div>
      <div class="param">category (required)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; template category </div>
      <div class="param">description (required)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; template description </div>
      <div class="param">namespace (required)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; namespace of the new template </div>
      
    </div>  <!-- field-items -->
    <h3 class="field-label">Return type</h3>

    <div class="return-type"><a href="#">Status</a></div>

    
    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{\n  "message" : "aeiou"\n}</code></pre>
    
  </div> <!-- method -->
  <hr>
  
  <div class="method">
    <div class="method-path"><pre class="get"><code class="huge"><span>get</span>: /template/{id}</code></pre></div>
    <div class="method-tags"> <span class="method-tag">Default</span></div>
    <div class="method-summary"><span class="nickname">templateIdGet</span> Query the Pelars template database</div>
    <div class="method-notes">Returns a the specified Pelars template object present in the Pelars template database. </div>

    <h3 class="field-label">Parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; itenger identifier of the query template </div>
      
    </div>  <!-- field-items -->
    <h3 class="field-label">Return type</h3>

    <div class="return-type"><a href="#">Template</a></div>

    
    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{\n  "identifier" : 123,\n  "data" : "aeiou",\n  "name" : "aeiou",\n  "category" : "aeiou"\n}</code></pre>
    
  </div> <!-- method -->
  <hr>
  
  <div class="method">
    <div class="method-path"><pre class="post"><code class="huge"><span>post</span>: /template/{id}</code></pre></div>
    <div class="method-tags"> <span class="method-tag">Default</span></div>
    <div class="method-summary"><span class="nickname">templateIdPost</span> Update an existing template</div>
    <div class="method-notes">Updates a template present in the Pelars template database</div>

    <h3 class="field-label">Parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; integer identifier of the query template </div>
      <div class="param">new_name (optional)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; new name of the template </div>
      <div class="param">data (optional)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; new data content of the template </div>
      <div class="param">category (optional)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; new category of the template </div>
      <div class="param">description (optional)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; new description of the template </div>
      
    </div>  <!-- field-items -->
    <h3 class="field-label">Return type</h3>

    <div class="return-type"><a href="#">Status</a></div>

    
    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{\n  "message" : "aeiou"\n}</code></pre>
    
  </div> <!-- method -->
  <hr>
  
  <div class="method">
    <div class="method-path"><pre class="delete"><code class="huge"><span>delete</span>: /template/{id}</code></pre></div>
    <div class="method-tags"> <span class="method-tag">Default</span></div>
    <div class="method-summary"><span class="nickname">templateIdDelete</span> Delete an object template</div>
    <div class="method-notes">Delete a single object template present in the Pelars template database</div>

    <h3 class="field-label">Parameters</h3>
    <div class="field-items">
      <div class="param">id (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash;  </div>
      
    </div>  <!-- field-items -->
    <h3 class="field-label">Return type</h3>

    <div class="return-type"><a href="#">Status</a></div>

    
    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{\n  "message" : "aeiou"\n}</code></pre>
    
  </div> <!-- method -->
  <hr>
  
  <div class="method">
    <div class="method-path"><pre class="get"><code class="huge"><span>get</span>: /user</code></pre></div>
    <div class="method-tags"> <span class="method-tag">Default</span></div>
    <div class="method-summary"><span class="nickname">userGet</span> Gets all users</div>
    <div class="method-notes">Returns the list of Pelars users present in the Pelars user database matching the namespace or returns the complete list of all users if no namespace is pecified</div>

    <h3 class="field-label">Parameters</h3>
    <div class="field-items">
      <div class="param">namespace (optional)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; query user name </div>
      
    </div>  <!-- field-items -->
    <h3 class="field-label">Return type</h3>

    <div class="return-type"><a href="#array">array[User]</a></div>

    
    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>[ {\n  "identifier" : 123,\n  "role" : "aeiou",\n  "affiliation" : "aeiou",\n  "name" : "aeiou"\n} ]</code></pre>
    
  </div> <!-- method -->
  <hr>
  
  <div class="method">
    <div class="method-path"><pre class="get"><code class="huge"><span>get</span>: /user/{name}</code></pre></div>
    <div class="method-tags"> <span class="method-tag">Default</span></div>
    <div class="method-summary"><span class="nickname">userNameGet</span> Query the Pelars user database</div>
    <div class="method-notes">Returns a single users present in the Pelars user database</div>

    <h3 class="field-label">Parameters</h3>
    <div class="field-items">
      <div class="param">name (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; query user name </div>
      
    </div>  <!-- field-items -->
    <h3 class="field-label">Return type</h3>

    <div class="return-type"><a href="#">User</a></div>

    
    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{\n  "identifier" : 123,\n  "role" : "aeiou",\n  "affiliation" : "aeiou",\n  "name" : "aeiou"\n}</code></pre>
    
  </div> <!-- method -->
  <hr>
  
  <div class="method">
    <div class="method-path"><pre class="put"><code class="huge"><span>put</span>: /user/{name}</code></pre></div>
    <div class="method-tags"> <span class="method-tag">Default</span></div>
    <div class="method-summary"><span class="nickname">userNamePut</span> New user</div>
    <div class="method-notes">Add a new user to the database if not already present</div>

    <h3 class="field-label">Parameters</h3>
    <div class="field-items">
      <div class="param">name (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; complete name of the user </div>
      <div class="param">role (required)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; academic role of the user </div>
      <div class="param">affiliation (required)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; affiliaion of the user </div>
      <div class="param">namespace (required)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; namespace to which the user belongs </div>
      
    </div>  <!-- field-items -->
    <h3 class="field-label">Return type</h3>

    <div class="return-type"><a href="#">Status</a></div>

    
    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{\n  "message" : "aeiou"\n}</code></pre>
    
  </div> <!-- method -->
  <hr>
  
  <div class="method">
    <div class="method-path"><pre class="post"><code class="huge"><span>post</span>: /user/{name}</code></pre></div>
    <div class="method-tags"> <span class="method-tag">Default</span></div>
    <div class="method-summary"><span class="nickname">userNamePost</span> Update user</div>
    <div class="method-notes">Update the information of a user in the Pelars user database</div>

    <h3 class="field-label">Parameters</h3>
    <div class="field-items">
      <div class="param">name (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; name of the user to be updated </div>
      <div class="param">new_name (optional)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; new user name </div>
      <div class="param">role (optional)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; new role of the user </div>
      <div class="param">affiliation (optional)</div>

      <div class="param-desc"><span class="param-type">Query Parameter</span> &mdash; new affiliation of the user </div>
      
    </div>  <!-- field-items -->
    <h3 class="field-label">Return type</h3>

    <div class="return-type"><a href="#">Status</a></div>

    
    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{\n  "message" : "aeiou"\n}</code></pre>
    
  </div> <!-- method -->
  <hr>
  
  <div class="method">
    <div class="method-path"><pre class="delete"><code class="huge"><span>delete</span>: /user/{name}</code></pre></div>
    <div class="method-tags"> <span class="method-tag">Default</span></div>
    <div class="method-summary"><span class="nickname">userNameDelete</span> Delete a Pelars user</div>
    <div class="method-notes">Delete a single user present in the Pelars user database</div>

    <h3 class="field-label">Parameters</h3>
    <div class="field-items">
      <div class="param">name (required)</div>

      <div class="param-desc"><span class="param-type">Path Parameter</span> &mdash; query user name </div>
      
    </div>  <!-- field-items -->
    <h3 class="field-label">Return type</h3>

    <div class="return-type"><a href="#">Status</a></div>

    
    <h3 class="field-label">Example data</h3>
    <div class="example-data-content-type">Content-Type: application/json</div>
    <pre class="example"><code>{\n  "message" : "aeiou"\n}</code></pre>
    
  </div> <!-- method -->
  <hr>
  
  

  <h2>Models</h2>
  
  
  <div class="model">
    <h3 class="field-label"><a name="PelarsSession">PelarsSession</a></h3>
    <div class="field-items">
      <div class="param">session_id </div><div class="param-desc"><span class="param-type">Integer</span> </div>
      <div class="param">teacher_name </div><div class="param-desc"><span class="param-type">String</span> </div>
      <div class="param">institution_name </div><div class="param-desc"><span class="param-type">String</span> </div>
      <div class="param">institution_address </div><div class="param-desc"><span class="param-type">String</span> </div>
      <div class="param">start </div><div class="param-desc"><span class="param-type">Date</span> </div>
      <div class="param">end </div><div class="param-desc"><span class="param-type">Date</span> </div>
      
    </div>  <!-- field-items -->
  </div>
  
  
  
  <div class="model">
    <h3 class="field-label"><a name="Error">Error</a></h3>
    <div class="field-items">
      <div class="param">code </div><div class="param-desc"><span class="param-type">Integer</span> </div>
      <div class="param">message </div><div class="param-desc"><span class="param-type">String</span> </div>
      
    </div>  <!-- field-items -->
  </div>
  
  
  
  <div class="model">
    <h3 class="field-label"><a name="Status">Status</a></h3>
    <div class="field-items">
      <div class="param">message </div><div class="param-desc"><span class="param-type">String</span> </div>
      
    </div>  <!-- field-items -->
  </div>
  
  
  
  <div class="model">
    <h3 class="field-label"><a name="User">User</a></h3>
    <div class="field-items">
      <div class="param">name </div><div class="param-desc"><span class="param-type">String</span> </div>
      <div class="param">role </div><div class="param-desc"><span class="param-type">String</span> </div>
      <div class="param">affiliation </div><div class="param-desc"><span class="param-type">String</span> </div>
      <div class="param">identifier </div><div class="param-desc"><span class="param-type">Integer</span> </div>
      
    </div>  <!-- field-items -->
  </div>
  
  
  
  <div class="model">
    <h3 class="field-label"><a name="Template">Template</a></h3>
    <div class="field-items">
      <div class="param">name </div><div class="param-desc"><span class="param-type">String</span> </div>
      <div class="param">data </div><div class="param-desc"><span class="param-type">String</span> </div>
      <div class="param">identifier </div><div class="param-desc"><span class="param-type">Integer</span> </div>
      <div class="param">category </div><div class="param-desc"><span class="param-type">String</span> </div>
      
    </div>  <!-- field-items -->
  </div>
  
  
  
  <div class="model">
    <h3 class="field-label"><a name="Multimedia">Multimedia</a></h3>
    <div class="field-items">
      <div class="param">name </div><div class="param-desc"><span class="param-type">String</span> </div>
      <div class="param">data </div><div class="param-desc"><span class="param-type">String</span> </div>
      <div class="param">identifier </div><div class="param-desc"><span class="param-type">Integer</span> </div>
      <div class="param">category </div><div class="param-desc"><span class="param-type">String</span> </div>
      <div class="param">time </div><div class="param-desc"><span class="param-type">Date</span> </div>
      
    </div>  <!-- field-items -->
  </div>
  
  
  
  <div class="model">
    <h3 class="field-label"><a name="Face">Face</a></h3>
    <div class="field-items">
      <div class="param">pos_x0 </div><div class="param-desc"><span class="param-type">Integer</span> </div>
      <div class="param">pos_x1 </div><div class="param-desc"><span class="param-type">Integer</span> </div>
      <div class="param">pos_y0 </div><div class="param-desc"><span class="param-type">Integer</span> </div>
      <div class="param">pos_y1 </div><div class="param-desc"><span class="param-type">Integer</span> </div>
      <div class="param">session </div><div class="param-desc"><span class="param-type">Integer</span> </div>
      <div class="param">num </div><div class="param-desc"><span class="param-type">Integer</span> </div>
      <div class="param">time </div><div class="param-desc"><span class="param-type">Date</span> </div>
      <div class="param">type </div><div class="param-desc"><span class="param-type">String</span> </div>
      
    </div>  <!-- field-items -->
  </div>
  
  
  
  <div class="model">
    <h3 class="field-label"><a name="Object">Object</a></h3>
    <div class="field-items">
      <div class="param">pos_x </div><div class="param-desc"><span class="param-type">Integer</span> </div>
      <div class="param">pos_y </div><div class="param-desc"><span class="param-type">Integer</span> </div>
      <div class="param">pos_z </div><div class="param-desc"><span class="param-type">Integer</span> </div>
      <div class="param">session </div><div class="param-desc"><span class="param-type">Integer</span> </div>
      <div class="param">num </div><div class="param-desc"><span class="param-type">Integer</span> </div>
      <div class="param">time </div><div class="param-desc"><span class="param-type">Date</span> </div>
      <div class="param">type </div><div class="param-desc"><span class="param-type">String</span> </div>
      
    </div>  <!-- field-items -->
  </div>
  
  
  
  <div class="model">
    <h3 class="field-label"><a name="Data">Data</a></h3>
    <div class="field-items">
      <div class="param">face </div><div class="param-desc"><span class="param-type">String</span> </div>
      <div class="param">object </div><div class="param-desc"><span class="param-type">String</span> </div>
      
    </div>  <!-- field-items -->
  </div>
  
  
  <style>
body { 
	font-family: Trebuchet MS, sans-serif;
	font-size: 15px;
	color: #444;
	margin-right: 24px;
}

h1	{
	font-size: 25px;
}
h2	{
	font-size: 20px;
}
h3	{
	font-size: 16px;
	font-weight: bold;
}
hr	{
	height: 1px;
	border: 0;
	color: #ddd;
	background-color: #ddd;
	display: none;
}

.app-desc {
  clear: both;
  margin-left: 20px;
}
.param-name {
  width: 100%;
}
.license-info {
  margin-left: 20px;
}

.license-url {
  margin-left: 20px;
}

.model {
  margin: 0 0 0px 20px;
}

.method {
  margin-left: 20px;
}

.method-notes	{
	margin: 10px 0 20px 0;
	font-size: 90%;
	color: #555;
}

pre {
  padding: 10px;
  margin-bottom: 2px;
}

pre.get {
  background-color: #0f6ab4;
}

pre.post {
  background-color: #10a54a;
}

pre.put {
  background-color: #c5862b;
}

pre.delete {
  background-color: #a41e22;
}

.huge	{
	color: #fff;
}

pre.example {
  background-color: #f3f3f3;
  padding: 10px;
  border: 1px solid #ddd;
}

code {
  white-space: pre;
}

.nickname {
  font-weight: bold;
}

.method-path {
  font-size: 1.5em;
  background-color: #0f6ab4;
}

.parameter {
  width: 500px;
}

.param {
  width: 500px;
  padding: 10px 0 0 20px;
  font-weight: bold;
}

.param-desc {
  width: 700px;
  padding: 0 0 0 20px;
  color: #777;
}

.param-type {
  font-style: italic;
}

.field-label {
  padding: 0;
  margin: 0;
  clear: both;
}

.field-items	{
	padding: 0 0 15px 0;
	margin-bottom: 15px;
}

.return-type {
  clear: both;
  padding-bottom: 10px;
}

.param-header {
  font-weight: bold;
}

.method-tags {
  text-align: right;
}

.method-tag {
  background: none repeat scroll 0% 0% #24A600;
  border-radius: 3px;
  padding: 2px 10px;
  margin: 2px;
  color: #FFF;
  display: inline-block;
  text-decoration: none;
}
  </style>
  </body>
</html>